Subject: Re: bug#9302: nmail-extra-headers too mysterious

From: Dave Abrahams <[email-masked]>
Date: Tue, 13 Sep 2011 13:41:40 -0400

on Sun Sep 11 2011, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> Why not modify `gnus-summary-limit-to-address' so that it checks
>> immediately whether "to" and "cc" are in the appropriate -extra-headers
>> variables and if not, asks the user whether s/he wants to include them
>> (and if necessary, re-fetch headers or whatever else Gnus needs to do to
>> make this command work properly)?
>
> Re-fetching wouldn't help on most backends.  nnml uses the variable in
> question when creating the .nov overview files.  For the variable to
> have any effect in nnml, for instance, you'd have to regenerate all your
> .nov files.

Sorry, I meant "do whatever is necessary to get in sync."  In this case,
based on what you wrote above, I guess it would mean regenerating the
.nov files.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com